<template>
  <div>
    <a-button @click="showModal">显示</a-button>
    <iam-audit-modal
      :single="false"
      select-type="table"
      :visible="visible"
      :treeparams="{
        configId: '1',
      }"
      :columns="columns"
      @listSelected="listSelected"
      @getCheckNode="getCheckNode"
    ></iam-audit-modal>
  </div>
</template>

<script>
import TableColumnTypes from '@/common/services/table-column-types'
import iamAuditModal from '../../components/iam-audit-modal.vue'
import components from './_import-components/test-modal-import'

export default {
  name: 'TestModal',
  metaInfo: {
    title: 'TestModal',
  },
  components: {
    ...components,
    iamAuditModal,
  },
  data() {
    return {
      visible: false,
      expressions: [],
      columns: [
        {
          title: '机构名称',
          dataIndex: 'orgName',
          width: '15%',
        },
        {
          title: '地址',
          dataIndex: 'address',
          width: '10%',
        },
      ],
    }
  },
  methods: {
    showModal() {
      this.visible = true
    },
    listSelected(keys, keyinfos) {
      console.log(keys)
      console.log(keyinfos)
    },
    getCheckNode(checkNode) {
      console.log(checkNode)
    },
  },
}
</script>

<style module lang="scss">
@use '@/common/design' as *;
</style>
